Projected view

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
Post Reply
Sylvian
Posts: 3
Joined: Sun Apr 16, 2017 9:36 am

Projected view

Post by Sylvian »

Hey happy FreeCAD users,

I am sure that I am not the first one to want to do that, but could not find anything...
I would like to create a projected view (a view according a direction which is not proposed in the regular views), but could not find the way to do it. I imagine a feature which allows me the pick an existing view and a line for the direction, then a place in my drawing to place the created view. Does anything like that exist ? I attached a sketch of what I mean (the projection would be from the arrow point of view), hope it's clear.

Thanks for your help,

Sylvian

OS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6706 (Git)
Build type: Release
Branch: releases/FreeCAD-0-16
Hash: f86a4e411ff7848dea98d7242f43b7774bee8fa0
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
Attachments
Capture.JPG
Capture.JPG (27.56 KiB) Viewed 1413 times
User avatar
Willem
Veteran
Posts: 1854
Joined: Fri Aug 12, 2016 3:27 pm
Location: Lisse, The Netherlands

Re: Projected view

Post by Willem »

Hi, welcome to Freecad and the forum

You already discovered the Drawing workbench. A view can be scaled, moved and rotated with the functions I marked in the image
Schermafdruk van 2017-04-16 12-27-35.png
Schermafdruk van 2017-04-16 12-27-35.png (228.9 KiB) Viewed 1406 times
Sylvian
Posts: 3
Joined: Sun Apr 16, 2017 9:36 am

Re: Projected view

Post by Sylvian »

Thanks Willem.
So no easier way than calculating the sine and cosine to get the right x, y and z ?
And this is a bit out of subject, but if I move a view, the dimensions won't follow, really ?
User avatar
Willem
Veteran
Posts: 1854
Joined: Fri Aug 12, 2016 3:27 pm
Location: Lisse, The Netherlands

Re: Projected view

Post by Willem »

For rotating and moving you can also do small steps at the end of the line and see how the view changes
Schermafdruk van 2017-04-16 14-50-13.png
Schermafdruk van 2017-04-16 14-50-13.png (33.34 KiB) Viewed 1386 times
After moving a view the dimensions will follow when you use the function RECOMPUTE DIMENSIONS
Schermafdruk van 2017-04-16 14-44-59.png
Schermafdruk van 2017-04-16 14-44-59.png (235.27 KiB) Viewed 1389 times
ulrich1a
Veteran
Posts: 1957
Joined: Sun Jul 07, 2013 12:08 pm

Re: Projected view

Post by ulrich1a »

Sylvian wrote:So no easier way than calculating the sine and cosine to get the right x, y and z ?
You can use directly the information FreeCAD has about the normal of the face you want to have the view on:
- Move the mouse in the 3D-view over the face, where you need the normal
- In the lower left of the FreeCAD window, you see all information you need next (internal name of your part and the number of the Face)
- make the python console visible (It is under the menu view/Panels)
- type in the python console the following. Replace InternalName with the name you saw. Type in the braces the face number minus one.

Code: Select all

App.ActiveDocument.InternalName.Shape.Faces[your face number minus 1].Surface.Axis
- You will see in the python console now the needed coordinates for your view. In some cases you may need to change the sign of all coordinates.

I got in my test

Code: Select all

>>> App.ActiveDocument.Extrude.Shape.Faces[0].Surface.Axis
Vector (0.7853555534575196, -0.619044953661229, 0.0)
You can also directly use this for an expression. I clicked the expression symbol in the x-View direction in the part-view and typed in:

Code: Select all

-Extrude.Shape.Faces[0].Surface.Axis.x
Do this also for the other coordinates with y and z respectively. In this case your view should update, when the angle of your part changes.

Ulrich
Last edited by ulrich1a on Sun Apr 16, 2017 3:10 pm, edited 1 time in total.
Sylvian
Posts: 3
Joined: Sun Apr 16, 2017 9:36 am

Re: Projected view

Post by Sylvian »

Thanks guys !
Post Reply